Get APR information for Pools, Operators and Addresses.
curl --request GET \
--url https://api.rated.network/v1/eth/entities/{entity_id}/aprs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rated.network/v1/eth/entities/{entity_id}/aprs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rated.network/v1/eth/entities/{entity_id}/aprs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"next": "https://api.rated.network//v1/eth/entities/{entity_id}/aprs?limit=10&offset=30",
"pages": 10,
"previous": "https://api.rated.network//v1/eth/entities/{entity_id}/aprs?limit=10&offset=10",
"results": [
[
{
"activeStake": 4823520000000000,
"activeValidators": 150735,
"percentage": 5.35,
"percentageConsensus": 4.04,
"percentageExecution": 1.31,
"window": "1d"
}
]
]
}{
"detail": [
{
"msg": "<string>",
"type": "<string>",
"loc": [
"<string>"
]
}
]
}Metadata
Get APR information for Pools, Operators and Addresses.
This endpoint returns windowed APR information for a single pool, node operator or deposit/withdrawal address.
GET
/
v1
/
eth
/
entities
/
{entity_id}
/
aprs
Get APR information for Pools, Operators and Addresses.
This endpoint is available only to annual commitment and custom Enterprise plans. Get in touch with [email protected] to learn more.
window refers to the time window of the aggregation, with 1d, 7d, 30d and all being the supported values.
A validator must be active throughout the time window for the value to be produced. For
all time the last 90 days are considered.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
mainnet, hoodi, holesky Path Parameters
Query Parameters
The number of results returned per page
The number of results to skip before starting to return
The type of entity class you would like returned
Available options:
depositAddress, withdrawalAddress, nodeOperator, pool, poolShare, subNodeOperator, entity, validator, privateSet The time window for the APR calculation
Available options:
1d, 7d, 30d, all